basement-0.0.10: Foundation scrap box of array & string

License | BSD-style
Maintainer | Foundation
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Basement.NonEmpty

Description

A newtype wrapper around a non-empty Collection.

Synopsis

- newtype NonEmpty a = NonEmpty {
  - getNonEmpty :: a
  }

# Documentation

newtype NonEmpty a Source #

NonEmpty property for any Collection

Constructors

NonEmpty |

Fields

- getNonEmpty :: a

Instances

IsList c => IsList (NonEmpty c) Source # |
Instance details Defined in Basement.NonEmpty Associated Types type Item (NonEmpty c) :: Type Source # Methods fromList :: [Item (NonEmpty c)] -> NonEmpty c Source # fromListN :: Int -> [Item (NonEmpty c)] -> NonEmpty c Source # toList :: NonEmpty c -> [Item (NonEmpty c)] Source #
Eq a => Eq (NonEmpty a) Source # |
Instance details Defined in Basement.NonEmpty Methods (==) :: NonEmpty a -> NonEmpty a -> Bool Source # (/=) :: NonEmpty a -> NonEmpty a -> Bool Source #
Show a => Show (NonEmpty a) Source # |
Instance details Defined in Basement.NonEmpty Methods showsPrec :: Int -> NonEmpty a -> ShowS Source # show :: NonEmpty a -> String Source # showList :: [NonEmpty a] -> ShowS Source #
type Item (NonEmpty c) Source # |
Instance details Defined in Basement.NonEmpty type Item (NonEmpty c) = Item c